Bug 243955 - Review Request: python-xlrd - Library to extract data from Microsoft Excel (tm) spreadsheet files
Summary: Review Request: python-xlrd - Library to extract data from Microsoft Excel (t...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-12 23:33 UTC by Sean Reifschneider
Modified: 2009-01-07 18:08 UTC (History)
1 user (show)

Fixed In Version: 0.6.1-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 23:11:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sean Reifschneider 2007-06-12 23:33:48 UTC
Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-xlrd.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-xlrd-0.6.1-1.fc7.src.rpm
Description: Extract data from new and old Excel spreadsheets on any platform.  Pure
Python (2.1 or later).  Strong support for Excel dates.  Unicode-aware.

Comment 1 Jan ONDREJ 2007-09-06 08:17:23 UTC
Looks OK for me.
Rpmlint is quiet.
No other problems found.


Comment 2 Jan ONDREJ 2007-09-07 11:07:27 UTC
I have missed to check noarch rpm. There was many errors. They have been fixed
by me here:
http://www.salstar.sk/pub/fedora/SPECS/python-xlrd.spec
http://www.salstar.sk/pub/fedora/SRPMS/7/python-xlrd-0.6.1-2.fc7.src.rpm

* Fri Sep 7 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 0.6.1-2
- namewithoutprefix removed, too complicated and not required
- added directory xlrd
- permissions for python scripts set to 644
- files converted from DOS line-feeds to UNIX format
- "#!/usr/bin/env python" added to beginning runxlrd script  
- removed doc and examples from site-packages/xlrd directory 

I have installed and tested this package on my example xls file. Works as expected.

Anybody can approve this package?


Comment 3 Jan ONDREJ 2007-09-07 11:28:26 UTC
Sean, can you review my changes and package functionality?

Comment 4 Sean Reifschneider 2007-09-12 00:36:22 UTC
I hope to get to it this week.  Sorry, I've been swamped but it's on my list to do.

Comment 5 Sean Reifschneider 2007-09-13 20:56:32 UTC
The changes in the above spec file look good to me, and rpmlint is not reporting
any errors.  There are some warnings about doc files not being UTF-8 though.

Comment 6 Jan ONDREJ 2007-09-14 04:41:33 UTC
* Fri Sep 14 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> 0.6.1-3
- doc files converted to UTF-8
- removed HISTORY.html README.html because they are also in xlrd/doc/

Please retest again.
http://www.salstar.sk/pub/fedora/SPECS/python-xlrd.spec
http://www.salstar.sk/pub/fedora/SRPMS/7/python-xlrd-0.6.1-3.fc7.src.rpm

rpmlint is completely quiet now.


Comment 7 Sean Reifschneider 2007-11-20 21:56:58 UTC
These changes look fine.  I've rebuilt the packages with the above changes and
put them at:

Spec URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-xlrd.spec
SRPM URL: ftp://ftp.tummy.com/pub/tummy/RPMS/SRPMS/python-xlrd-0.6.1-3.fc7.src.rpm

Can we get a review?

Thanks,
Sean

Comment 8 Jan ONDREJ 2007-11-21 06:45:48 UTC
OK, looks OK and I don't see nothing more to enhance.

APPROVED.

You may request for a CVS module to be created.
You may add me to owners, if you need help to build new releases in future.

If you have questions, please ask me.


Comment 9 Jan ONDREJ 2007-12-16 18:54:30 UTC
This package is already approved more than 3 weeks.
If you do not respond, I will request another review and I will maintain this
package in Fedora.

Comment 10 Jan ONDREJ 2008-01-01 08:31:07 UTC
There are missing eggs for Fedora>8. Updated spec file and source:
  http://www.salstar.sk/pub/fedora/SPECS/python-xlrd.spec
  http://www.salstar.sk/pub/fedora/SRPMS/8/python-xlrd-0.6.1-4.fc8.src.rpm

No response from original author more than a month. I am removing my approval to
leave somebody else to make another review. After approval I want to be package
maintainer in Fedora.


Comment 11 Sean Reifschneider 2008-01-02 00:05:48 UTC
Fair enough.  I spent most of November and December out of town at a client
site, so I haven't had much time to look at it until today.  Thanks for offering
to take the package.

Comment 12 Lubomir Kundrak 2008-01-03 14:05:11 UTC
1.)

 38 # add shebang and remove .py file
 39 (
 40   echo '#!/usr/bin/env python'
 41   cat $RPM_BUILD_ROOT/usr/bin/runxlrd.py
 42 ) >> $RPM_BUILD_ROOT/usr/bin/runxlrd
 43 rm -rf $RPM_BUILD_ROOT/usr/bin/runxlrd.py* \

Please replace "/usr/bin" with %{_bindir} (and eventually with "/usr/bin/env
python" with %{__python} in case you consider %{__python} macro to be acceptably
usable in specs -- ans you seem to do)

2.)

 58 %attr(755,root,root) /usr/bin/*

Likewise

3.)

The package should contain the text of the license

Comment 13 Jan ONDREJ 2008-01-03 14:25:20 UTC
New SPEC file uploaded.

%changelog
* Thu Jan 3 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.6.1-5
- updated /usr/bin/env by bindir macro

License is contained in licences.py and mentioned in README.


Comment 14 Lubomir Kundrak 2008-01-03 15:26:05 UTC
Thanks for the package.
I believe all outstanding issues to be addressed.

APPROVED

Comment 15 Jan ONDREJ 2008-01-03 16:12:08 UTC
New Package CVS Request
=======================
Package Name: python-xlrd
Short Description: Library to extract data from Microsoft Excel (tm) spreadsheet
files
Owners: ondrejj,jafo
Branches: F-7 F-8 EL-4 EL-5
Cvsextras Commits: yes


Comment 16 Kevin Fenzi 2008-01-05 18:18:16 UTC
cvs done.

Comment 17 Fedora Update System 2008-01-07 01:17:01 UTC
python-xlrd-0.6.1-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-xlrd'

Comment 18 Fedora Update System 2008-01-07 01:17:21 UTC
python-xlrd-0.6.1-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-xlrd'

Comment 19 Fedora Update System 2008-01-15 23:11:17 UTC
python-xlrd-0.6.1-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2008-01-15 23:13:10 UTC
python-xlrd-0.6.1-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.